/***************************************************************************
 *            connector_kismet.h
 *
 *  Fri Apr  1 13:14:03 2005
 *  Copyright  2005  User
 *  Email
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef MAXHOSTNAMELEN
#define MAXHOSTNAMELEN 64
#endif
 
 
 
 #ifndef CONNECTOR_KISMET
 #define CONNECTOR_KISMET

 #include "packet.h"
 #include <stdio.h>
 #include <unistd.h>
 #include <stdlib.h>
 #include <errno.h>
 #include <string.h>
 #include <time.h>
 #include <sys/types.h>
 #include <sys/socket.h>
 #include <netinet/in.h>
 #include <arpa/inet.h>
 #include <netdb.h>
 #include <fcntl.h>
 
 
 int open_kismet_client(FILE** client_fd,int& client_socket,short int in_port, char *in_host);
 
 void close_kismet_client(FILE* filedescriptor);
 
 int load_kismet_client(char* in_data,vector<packet_info>& packetlist);

 int send_kismet_client(int client_socket, char* data);
 
 int receive_kismet_client(int client_socket,FILE* client_fd, char* data);

 int check_kismet_client(int client_socket);

#endif
